from setuptools import setup

requires = [
    'alembic',
    'coverage',
    'flake8',
    'gevent-socketio',
    'gevent-websocket',
    'gevent',
    'humanize',
    'jujuclient',
    'mock',
    'nose',
    'psycopg2',
    'pyramid',
    'pyramid_mako',
    'pyramid_debugtoolbar',
    'python-dateutil',
    'pyyaml',
    'pytz',
    'requests',
    'sqlalchemy',
    'waitress',
    # pin this until jujuclient is updated to work with 0.36.0
    'websocket-client==0.35.0',
    ]

setup(name='collectorweb',
      version='1.3.1',
      install_requires=requires,
      url='http://github.com/juju-solutions/collector-web',
      packages=['collectorweb'],
      include_package_data=True,
      zip_safe=False,
      entry_points="""\
      [paste.app_factory]
      main = collectorweb:main
      [console_scripts]
      initialize_db = collectorweb.scripts.initialize_db:main
      """,
      )
